{% extends "base.html" %}

{% load static %}

{% block head %}
<link rel="stylesheet" href="{% static "carousel.css" %}">
{% endblock %}

{% block content %}

<h3>Cats</h3>

<a href="{% url "vote:results" %}"><button>Results</button></a>

{% if is_submission_started and not is_submission_ended and perms.vote.add_submission and perms.vote.change_submission %}
    <br />
    <a href="{% url "vote:submission" %}"><button>Submit your cat</button></a>
{% elif is_vote_started and not is_vote_ended and perms.vote.add_vote and perms.vote.change_vote %}
    <br />
    <a href="{% url "vote:vote" %}"><button>Vote for the cutest cat</button></a>
{% endif %}

<table>
    <thead>
        <tr>
            <th>name</th>
            <th>description</th>
            <th>pictures</th>
            {% if is_vote_ended %}<th>owner</th>{% endif %}
        </tr>
    </thead>
    <tbody>
        {% for cat in cats %}
            <tr>
                <td>{{ cat.cat_name }}</td>
                <td>{{ cat.presentation }}</td>
                <td>
                    <div class="pic-ctn">
                        <img src="{{ cat.image_1.url }}" alt="">
                        <img src="{{ cat.image_2.url }}" alt="">
                        <img src="{{ cat.image_3.url }}" alt="">
                        <img src="{{ cat.image_4.url }}" alt="">
                        <img src="{{ cat.image_5.url }}" alt="">
                    </div>
                </td>
                {% if is_vote_ended %}<td>{{ cat.submitter.username }}</td>{% endif %}
            </tr>
        {% endfor %}
    </tbody>
</table>

{% endblock %}
